Bug 125506 - [PATCH] devel/cppunit: update to 1.12.1
Summary: [PATCH] devel/cppunit: update to 1.12.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Wesley Shields
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-07-11 15:20 UTC by Yi-Jheng Lin
Modified: 2008-07-25 20:50 UTC (History)
1 user (show)

See Also:


Attachments
cppunit-1.12.1.patch (5.25 KB, patch)
2008-07-11 15:20 UTC, Yi-Jheng Lin
no flags Details | Diff
cppunit.diff (3.36 KB, patch)
2008-07-11 17:01 UTC, Wesley Shields
no flags Details | Diff
cppunit.diff (5.26 KB, patch)
2008-07-11 20:39 UTC, Wesley Shields
no flags Details | Diff
cppunit.diff (31.21 KB, patch)
2008-07-14 13:43 UTC, Wesley Shields
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yi-Jheng Lin 2008-07-11 15:20:02 UTC
- Update to 1.12.1
- Fix naming for the patching files

Added file(s):
- files/patch-config_ltmain.sh
- files/patch-doc_Makefile.in

Removed file(s):
- files/patch-config::ltmain.sh
- files/patch-doc::Makefile.in

Port maintainer (gcross@fastmail.fm) is cc'd.

Generated with FreeBSD Port Tools 0.77
Comment 1 Edwin Groothuis freebsd_committer 2008-07-11 15:20:15 UTC
Maintainer of devel/cppunit,

Please note that PR ports/125506 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/125506

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2008-07-11 15:20:16 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Wesley Shields freebsd_committer 2008-07-11 16:03:20 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wxs

I'll take it.
Comment 4 Wesley Shields freebsd_committer 2008-07-11 17:01:57 UTC
I'm attaching a better patch for your review.  The one submitted
erroneously removes an entry in the plist and should not rename the
patch files IMO (yes, portlint complains but we should preserve the
history if we are going to rename them).

I also have word that this is going to be needed for the KDE4 work that
miwi and others are doing, so a prompt response would be appreciated.
Thank you.

-- WXS
Comment 5 Wesley Shields freebsd_committer 2008-07-11 20:39:30 UTC
Here's a better patch (handles NOPORTDOCS better).  I'm currently
testing it with WITH_DOXYGEN and will fix it if that breaks.  Please
review and let me know what you think.

Thanks.

-- WXS
Comment 6 Wesley Shields freebsd_committer 2008-07-14 13:43:31 UTC
OK, this one works for sure.  Basically, it properly supports
WITH_DOXYGEN and NOPORTDOCS, both at the same time and separate.

Please comment/approve this one as it is the one I would like to commit.
Thanks.

-- WXS
Comment 7 dfilter service freebsd_committer 2008-07-25 20:41:42 UTC
wxs         2008-07-25 19:41:29 UTC

  FreeBSD ports repository

  Modified files:
    devel/cppunit        Makefile distinfo pkg-plist 
    devel/cppunit/files  patch-config::ltmain.sh 
                         patch-doc::Makefile.in 
  Log:
  - Update to 1.21.1.
  
  PR:             ports/125506
  Submitted by:   Yi-Jheng Lin <yzlin@cs.nctu.edu.tw>
  Approved by:    maintainer timeout
  
  Revision  Changes    Path
  1.9       +7 -10     ports/devel/cppunit/Makefile
  1.7       +3 -3      ports/devel/cppunit/distinfo
  1.2       +3 -3      ports/devel/cppunit/files/patch-config::ltmain.sh
  1.3       +31 -6     ports/devel/cppunit/files/patch-doc::Makefile.in
  1.7       +491 -1    ports/devel/cppunit/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Wesley Shields freebsd_committer 2008-07-25 20:43:59 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes. Thanks!